
D4Science Infrastructure - Task #6972

Create website for D4Science Developers

Feb 07, 2017 07:10 PM - Massimiliano Assante

Status: Closed Start date: Feb 07, 2017

Priority: Urgent Due date: Mar 31, 2017

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Pre-Production, Production   

Description

A developer oriented website explaining what (external) developers can accomplish with D4Science API should be created.

The website should explain the different degrees of integration that can be achieved with the D4Science Infrastructure, in particular

should the following sections:

Getting Started Guides:

Best Practices for Secure Applications (Explaining the gCube Authorisation tokens)

the available REST API (Workspace, Social Networking etc.)

Sign in with D4Science (via oAuth2)

Installing SmartGears Bundle

Support

FAQ

Forum

** D4Science REST Console **

Playing with REST Services

We can reuse the certificate of dev.d4science.org or call it developers.d4science.org

History

#1 - Feb 07, 2017 07:10 PM - Massimiliano Assante

- Due date changed from Feb 08, 2017 to Feb 09, 2017

#2 - Feb 10, 2017 02:18 PM - Massimiliano Assante

- Status changed from New to In Progress

- % Done changed from 0 to 20

- Infrastructure Pre-Production added

The Site has been created in preproduction, once completed we can easily export it to production. I've added sections and few contents but the links

are missing. As start I suggest to provide explanations and then point to the gCube Developers guide. 

https://wiki.gcube-system.org/gcube/Developer%27s_Guide

#3 - Feb 10, 2017 05:05 PM - Massimiliano Assante

- Assignee changed from Massimiliano Assante to Paolo Scarponi

#4 - Mar 09, 2017 05:58 PM - Massimiliano Assante

- Due date changed from Feb 09, 2017 to Mar 31, 2017

- Assignee changed from Paolo Scarponi to Massimiliano Assante

- Priority changed from Normal to Urgent

At the 4th TCom in copenhagen we agreed that we should complete this website by the end of March. The available Rest APIs should be generated

automatically by means of the SWAGGER Framework http://swagger.io
#5 - Mar 17, 2017 02:06 PM - Massimiliano Assante

- % Done changed from 20 to 30

Temporary site moved to production

https://services.d4science.org/web/d4science-developers

#7 - Mar 29, 2017 05:12 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

The first version of the Site is ready: https://dev.d4science.org/

It contains four main pages:

Home: gives an overview of the features developers interested in developing over D4Science might be interested in, e.g. REST-API with

Swagger (most of them), Authorization, Method Engine/DataMiner and Oauth . I think a GeoServices section would be beneficial here.

Docs: shows the Javadocs, the GitHub repository of each software artifact available in the latest release of the gCube Framework

Support: contains a working Forum for the developers

Infrastructure Monitor

Issue Tracker

#8 - Apr 18, 2017 12:52 PM - Massimiliano Assante

A section for the Spatial Data Infrastructure (To be enhanced) and one for Developing  on top of D4Science were added
